작업 공간을 부분적으로 업데이트합니다. 프로젝트 범위는 경로 ID 경로 매개변수에 의해 전달됩니다. 필드 전용 패치는 204을 반환합니다. 상태 전용 패치(일시 중지/재개)는 다른 필드와 상호 배타적이며 ECP의 앱 본문(모든 warnings 포함)과 함께 200를 반환합니다.
body
필수 사항
업데이트 할 필드
-
AutoDeploy는 앱 수준 ECP 필드 입니다(게이트웨이 DB에 유지되지 않음). ECP의 앱 PATCH에 그대로 전달됩니다.
-
ReleaseMode는 앱 수준 ECP 필드 ( 게이트웨이 DB에 유지되지 않음)입니다. ECP의 앱 PATCH에 그대로 전달됩니다. 웹훅 트리거 빌드만 제어 — API 트리거 릴리스는 모든 모드 에서 사용할 수 있습니다.
-
상태는 일시 중지/재개 신호("활성" | "일시 중지됨")입니다. 게이트웨이는 이를 로컬에 유지하지 않습니다. 핸들러는 상태 전용 패치를 ECP로 바로 전달하고, ECP는 pause-teardown / resume-redeploy를 실행합니다.
PATCH /api/v1/projects/{id}/workspaces/{workspace_id}
curl \
--request PATCH 'https://agentengine.mongodb.com/api/v1/projects/{id}/workspaces/{workspace_id}' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"agent_card": {
"a2a_allowed_callers": [
"string"
],
"a2a_enabled": true,
"capabilities": [
"string"
],
"input_modes": [
"string"
],
"output_modes": [
"string"
],
"skills": [
{
"description": "string",
"example_input": "string",
"example_output": "string",
"name": "string"
}
],
"summary": "string"
},
"auto_deploy": true,
"description": "string",
"features": {
"guardrails": true,
"memory": true,
"playground": true,
"use_custom_parser": true
},
"framework": "string",
"gitops": {
"branch": "string",
"connection_ref": "string",
"manifest_path": "string",
"provider": "string",
"repo_url": "string"
},
"name": "string",
"release_mode": "string",
"status": "string",
"subdirectory": "string",
"workspace_name": "string"
}'
요청 예시
{
"agent_card": {
"a2a_allowed_callers": [
"string"
],
"a2a_enabled": true,
"capabilities": [
"string"
],
"input_modes": [
"string"
],
"output_modes": [
"string"
],
"skills": [
{
"description": "string",
"example_input": "string",
"example_output": "string",
"name": "string"
}
],
"summary": "string"
},
"auto_deploy": true,
"description": "string",
"features": {
"guardrails": true,
"memory": true,
"playground": true,
"use_custom_parser": true
},
"framework": "string",
"gitops": {
"branch": "string",
"connection_ref": "string",
"manifest_path": "string",
"provider": "string",
"repo_url": "string"
},
"name": "string",
"release_mode": "string",
"status": "string",
"subdirectory": "string",
"workspace_name": "string"
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"app_id": "string",
"org_id": "string",
"project_id": "string",
"status": "active",
"warnings": [
"string"
]
}
응답 예시(200)
{
"app_id": "string",
"org_id": "string",
"project_id": "string",
"status": "active",
"warnings": [
"string"
]
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(404)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(404)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(413)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(413)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(429)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(429)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}